Subject: Re: CONFIG_HSA_AMD unset in recent kernels

From: John Kehayias <[email-masked]>
Date: Thu, 16 Jun 2022 16:02:12 +0000

Hello,

------- Original Message -------
On Tuesday, April 26th, 2022 at 1:07 PM, John Kehayias <[email-masked]> wrote:
>
> I can confirm setting CONFIG_HSA_AMD=y (setting it to 'm' didn't seem to work for me) made /dev/kfd available and the OpenCL ROCm work, including making OpenCL available to Darktable. Note that I tested this on a non linux-libre kernel (what I use) which may or may not be required for OpenCL on some hardware. This is on x86-64.
>
> Are there any objections to enabling this option in our kernel config?

Now that ROCm has been updated in #55948, I tested again if I needed this kernel config change. Indeed, without CONFIG_HSA_AMD I do not get OpenCL with ROCm (darktable-cltest fails, as does rocminfo). I again set this configuration option and it works.

Any obstacles to (re)enabling this configuration option?

Thanks!
John